MOUNT_HFS(8) | System Manager's Manual | MOUNT_HFS(8)

# NAME

`mount_hfs` —
mount an Apple HFS+ File System

# SYNOPSIS

`mount_hfs` | [`-o` options] special node

# DESCRIPTION

The `mount_hfs` command attaches the Apple HFS+ File System on the special device on to the file system tree at point node. Both special and node are converted to absolute paths before use.

This command is normally executed by mount(8) at boot time. The options are as follows:

`-o`
  Options are specified with a `-o` flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.

# NOTES

Apple disk images (.dmg files) and hybrid CD-ROMs contain multiple partitions with an HFS+ file system on one of them. Use apmlabel(8) to enter it into the disklabel and mount the resulting partition.

# SEE ALSO

mount(2), unmount(2), fstab(5), apmlabel(8), mount(8)

# HISTORY

The `mount_hfs` utility first appeared in NetBSD 5.0.

# AUTHORS

`mount_hfs` was developed by Yevgeny Binder <yevbee@comcast.net> during the 2005 Google Summer of Code. It was improved and imported into NetBSD by Dieter Baron <dillo@NetBSD.org>.

# BUGS

HFS+ support is still experimental. Currently, no write support is present. Also, Unicode decomposition is not performed on file names prior to lookup.

May 19, 2007 | NetBSD 9.2